<div class="grid">
	<header class="row clearfix">
		<div class="col-2-3">
			<h1>Bolagsinformation</h1>
		</div>
		<button class="col-1-3 new" ng-click="company.editing = true" ng-hide="company.editing">
			<span class="edit"><i class="fa fa-pencil-square-o"></i>Ändra Uppgifter</span></button>
	</header>
	<div class="row clearfix listing">
		<div svab-feedback-target="company.ab.get"></div>

		<section ng-hide="company.editing">
			<div class="col-1-2">
				<ul class="regular-list">

					<li>
						<strong class="list-title">{{company.firma}} - {{company.orgNr}}</strong>
					</li>

					<li><strong class="list-title">Adress:</strong>
						<span class="list-value" ng-hide="!company.address.cOAddress"> c/o:{{company.address.cOAddress}}, </span>
						<span class="list-value" ng-hide="!company.address.streetAddress">{{company.address.streetAddress}}, </span>
						<span class="list-value">{{company.address.zipCode}} {{company.address.city}}</span>
						<span class="list-value" ng-hide="!company.address.country">, {{company.address.country}}</span>
					</li>

					<li>
						<strong class="list-title">Aktiekapital:</strong>
						<span class="list-value">{{company.shareCapital}}</span>
					</li>

					<li>
						<strong class="list-title">Totalt antal aktier:</strong>
						<span class="list-value">{{company.totalShares}}</span>

					<li>
						<strong class="list-title">Hembud:</strong>
						<span class="list-value" ng-show="company.preEmption == false">Nej</span>
						<span class="list-value" ng-show="company.preEmption == true">Ja</span>
					</li>
					<br/>
					<li>
						<strong class="list-title">Bolagets kontaktperson:</strong>
					</li>
					<li><strong class="list-title">Namn:</strong>
						<span class="list-value">{{company.contactFirstName}} {{company.contactLastName}}</span>
					</li>

					<li><strong class="list-title">Telefonnummer:</strong>
						<span class="list-value">{{company.contactDetails.phoneNumber}}</span>
					</li>
					<li><strong class="list-title">Email:</strong>
						<span class="list-value"><a href="mailto:{{company.contactDetails.email}}">{{company.contactDetails.email}}</a></span>
					</li>
					<br/>
					<li>
						<strong class="list-title">Faktureringsadress:</strong>
					</li>
					<div class="col-1" ng-show="invoiceAddress">
						<li ng-hide="!invoiceAddress.recipient">{{invoiceAddress.recipient}}</li>
						<li ng-hide="!invoiceAddress.address.cOAddress">{{invoiceAddress.address.cOAdress}}</li>
						<li ng-hide="!invoiceAddress.address.streetAddress">{{invoiceAddress.address.streetAddress}}</li>
						<li ng-hide="!invoiceAddress.address.zipCode">{{invoiceAddress.address.zipCode}} {{invoiceAddress.address.city}}</li>
						<li ng-hide="!invoiceAddress.address.country">{{invoiceAddress.address.country}}</li>
					</div>
					<div class="col-1" ng-hide="invoiceAddress">
						<li ng-hide="!invoiceAddress.recipient">{{company.firma}}</li>
						<li ng-hide="!company.address.cOAddress"> c/o:{{company.address.cOAddress}}</li>
						<li ng-hide="!company.address.streetAddress">{{company.address.streetAddress}}</li>
						<li>{{company.address.zipCode}} {{company.address.city}}</li>
						<li ng-hide="!company.address.country">, {{company.address.country}}</li>
					</div>
				</ul>
			</div>
		</section>

		<section ng-show="company.editing">
			<div class="col-5-6">
				<form name="companyForm" novalidate>
					<div svab-feedback-target="company.update"></div>
					<fieldset class="col-1">
						<legend>Kontaktuppgifter</legend>
						<div class="col-1">
							<p><label class="form-required">Förnamn</label><input name="basicInfoFirstName"
							                                                      type="text"
							                                                      ng-model="company.contactFirstName"
							                                                      placeholder="Förnamn"
							                                                      required/></p>

							<div ng-messages="companyForm.basicInfoFirstName.$error" ng-show="companyForm.basicInfoFirstName.$touched">
								<p class="form-feedback error" ng-message="required">Förnamn är obligatoriskt</p>
							</div>
						</div>

						<div class="col-1">
							<p><label class="form-required">Efternamn</label><input name="basicInfoLastName"
							                                                        type="text"
							                                                        ng-model="company.contactLastName"
							                                                        placeholder="Efternamn"
							                                                        required/></p>

							<div ng-messages="companyForm.basicInfoLastName.$error" ng-show="companyForm.basicInfoLastName.$touched">
								<p class="form-feedback error" ng-message="required">Efternamn är obligatoriskt</p>
							</div>
						</div>

						<div class="col-1">
							<p><label class="form-required">Telefonnummer</label><input name="contactDetailsPhoneNumber"
							                                                            type="text"
							                                                            ng-model="company.contactDetails.phoneNumber"
							                                                            placeholder="Telefonnummer"
							                                                            required/></p>

							<div ng-messages="companyForm.contactDetailsPhoneNumber.$error" ng-show="companyForm.contactDetailsPhoneNumber.$touched">
								<p class="form-feedback error" ng-message="required">Telefonnummer är obligatoriskt</p>
							</div>
						</div>

						<div class="col-1">
							<p><label class="form-required">Email</label><input name="contactDetailsEmail"
							                                                           type="text"
							                                                           ng-model="company.contactDetails.email"
							                                                           placeholder="Email"
							                                                           required/></p>

							<div ng-messages="companyForm.contactDetailsEmail.$error" ng-show="companyForm.contactDetailsEmail.$touched">
								<p class="form-feedback error" ng-message="required">Email är obligatoriskt</p>
							</div>
						</div>
					</fieldset>
					<fieldset class="col-1">
						<legend>Faktureringsadress</legend>
						<div class="col-1">
							<p><label>Fakturamottagare</label><input name="invoiceAddressRecipient"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.recipient"
							                                                      placeholder="Namn"/></p>
						</div>
						<div class="col-1">
							<p><label>c/o:</label><input name="invoiceAddresscOAddress"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.address.cOAddress"
							                                                      placeholder="c/o"/></p>
						</div>
						<div class="col-1">
							<p><label>Gata</label><input name="invoiceAddressStreetAddress"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.address.streetAddress"
							                                                      placeholder="Gata"/></p>
						</div>
						<div class="col-1-4">
							<p><label>Postnr</label><input name="invoiceAddressZipCode"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.address.zipCode"
							                                                      placeholder="Postnr"/></p>
						</div>
						<div class="col-3-4">
							<p><label>Postadress</label><input name="invoiceAddressCity"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.address.city"
							                                                      placeholder="Ort"/></p>
						</div>
						<div class="col-1">
							<p><label>Land</label><input name="invoiceAddressCountry"
							                                                      type="text"
							                                                      ng-model="invoiceAddress.address.country"
							                                                      placeholder="Land"/></p>
						</div>
					</fieldset>
					<div class="col-1">
					<p class="col-1-2">
						<button type="button" ng-click="undoEdit(company)">Ångra</button>
					</p>
					<p class="col-1-2">
						<button class="update" type="submit" ng-click="save(company)">Spara</button>
					</p>
					</div>
				</form>
			</div>
		</section>
	</div>
</div>


